#pragma once

#include "env.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

void canonicalize_path(char *path);
void format_path(char *dest, char *src, int dest_len);
int get_name_and_parent_path_by_absolute_path(char* dirpath, char** parent_path, char** dirname);
int get_dirname_and_parent_path_by_absolute_path(char* dirpath, char** parent_path, char** dirname);